#!/bin/bash
# odoo11-deb-install
# GPLv3+
# XXX Barfs on Odoo's key. Known bug:
# https://github.com/odoo/odoo/issues/19900
# XXX Broken for ~two weeks so far.
set -x

wget -O - https://nightly.odoo.com/odoo.key | apt-key add -
# After adding this key and running apt-get update:
# W: GPG error: http://nightly.odoo.com/11.0/nightly/deb ./ InRelease: The following signatures were invalid: 5D134C924CB06330DCEFE2A1DEF2A2198183CBB5
# W: The repository 'http://nightly.odoo.com/11.0/nightly/deb ./ InRelease' is not signed.
# N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
# N: See apt-secure(8) manpage for repository creation and user configuration details.
#
# Key fails with this too:
# root@ns32:~# apt-key adv --keyserver pgp.mit.edu --recv-keys 5D134C924CB06330DCEFE2A1DEF2A2198183CBB5
# Executing: /tmp/apt-key-gpghome.HqnorymeFd/gpg.1.sh --keyserver pgp.mit.edu --recv-keys 5D134C924CB06330DCEFE2A1DEF2A2198183CBB5
# gpg: keyserver receive failed: Server indicated a failure

echo "deb http://nightly.odoo.com/11.0/nightly/deb/ ./" >> /etc/apt/sources.list.d/odoo.list

apt-get update

apt-get install				\
	postgresql-all			\
	python3-babel python3-decorator python3-docutils python3-feedparser python3-gevent python3-greenlet python3-html2text python3-jinja2 python3-lxml python3-mako python3-markupsafe python3-mock python3-ofxparse python3-passlib python3-pil python3-psutil python3-psycopg2 python3-pydot python3-pyldap python3-pyparsing python3-pypdf2 python3-serial python3-dateutil python3-arrow python3-usb python3-yaml python3-qrcode python3-reportlab python3-requests python3-six python3-suds python3-vatnumber python3-vobject python3-werkzeug python3-xlsxwriter python-xlwt python3-xlrd wkhtmltopdf python3-pdfkit

apt-get clean

apt-get install odoo
