#!/bin/bash
# txt2qrpng.sh
# GPLv3+
# Give this a name of a text file and it will produce a
# series of .png files encoding the data in QR codes.
# Use:
# txt2qrpng.sh foo.txt
mkdir -p QR

cat $1 |								\
qrencode								\
	--type=png							\
	-o QR/$1.png && exit

cat $1 |								\
qrencode								\
	-S								\
	-v 40								\
	-l L								\
	--type=png							\
	-o QR/$1.png
